%define _name at-spi
%define ver_major 1.32
%def_disable static
%def_disable xevie
%add_python_req_skip Accessibility Accessibility__POA
%define _libexecdir %_prefix/libexec

Name: lib%_name
Version: %ver_major.0
Release: alt1

Summary: Assistive Technology Service Provider Interface
License: %lgpl2plus
Group: System/Libraries
Url: http://developer.gnome.org/projects/gap
Packager: GNOME Maintainers Team <gnome@packages.altlinux.org>

Source: %gnome_ftp/%_name/%ver_major/%_name-%version.tar.bz2
Patch1: %_name-1.7-fix-linking.patch

BuildPreReq: rpm-build-gnome rpm-build-licenses

# From configure.in
BuildPreReq: libatk-devel >= 1.29.2
BuildPreReq: libgtk+2-devel >= 2.10.0
BuildPreReq: libgail-devel >= 1.9.0
BuildPreReq: libbonobo-devel >= 1.107.0
BuildPreReq: intltool >= 0.40.0
BuildPreReq: libdbus-glib-devel >= 0.76
BuildPreReq: GConf libGConf-devel
BuildPreReq: python-devel gnome-common gettext-tools
BuildPreReq: gtk-doc >= 1.0
BuildPreReq: libXt-devel libX11-devel libXtst-devel libXext-devel
BuildPreReq: libxkbfile-devel libXi-devel
BuildPreReq: ORBit2-devel libpopt-devel libSM-devel
%if_enabled xevie
BuildPreReq: libXevie-devel
%endif

%description
at-spi allows assistive technologies to access GTK-based
applications. Essentially it exposes the internals of applications for
automation, so tools such as screen readers, magnifiers, or even
scripting interfaces can query and interact with GUI controls.

%package devel
Summary: Development files for at-spi
Group: Development/GNOME and GTK+
Requires: %name = %version-%release

%description devel
Libraries and header files allowing compilation of apps that use at-spi.

%package devel-doc
Summary: Development documentation for at-spi
Group: Development/GNOME and GTK+
Conflicts: %name < %version
BuildArch: noarch

%description devel-doc
This package contains development documentation for at-spi.

%if_enabled static
%package devel-static
Summary: Static libraries for at-spi
Group: Development/GNOME and GTK+
Requires: %name-devel = %version-%release

%description devel-static
Libraries allowing compilation of statically linked apps that use at-spi.
%endif

%setup_python_module pyatspi
%package -n python-module-pyatspi
Summary: Python bindings for %name
Group: Development/Python
Autoreq: yes
Requires: %name = %version-%release

%description -n python-module-pyatspi
This package contains Python bindings for libat-spi.

%define pkgdocdir %_docdir/%_name-%version
%define _gtk_docdir %_datadir/gtk-doc/html

%prep
%setup -q -n %_name-%version
%patch1

%build
%autoreconf
%configure \
    --enable-sm \
    %{subst_enable static} \
    %{subst_enable xevie}

# SMP-incompatible build
%make

%install
%make_install DESTDIR=%buildroot install

%find_lang --with-gnome %_name

%post
%gconf2_install %_name

%preun
if [ $1 = 0 ]; then
%gconf2_uninstall %_name
fi

%files -f %_name.lang
%_libexecdir/at-spi-*
%_libdir/*.so.*
%bonobo_serversdir/*
%_libdir/gtk-2.0/modules/*.so
%_libdir/orbit-2.0/*.so
%_datadir/idl/*
%config %gconf_schemasdir/*
%_sysconfdir/xdg/autostart/at-spi-registryd.desktop
%doc AUTHORS ChangeLog NEWS README

%files devel
%_includedir/*
%_libdir/*.so
%_pkgconfigdir/*.pc

%files devel-doc
%_gtk_docdir/*

%if_enabled static
%files devel-static
%_libdir/*.a
%_libdir/gtk-2.0/modules/*.a
%_libdir/orbit-2.0/*.a
%endif

%files -n python-module-pyatspi
%python_sitelibdir/pyatspi/

%exclude %_libdir/gtk-2.0/modules/*.la
%exclude %_libdir/orbit-2.0/*.la
%exclude %pkgdocdir/reference

%changelog
* Tue Oct 19 2010 Yuri N. Sedunov <aris@altlinux.org> 1.32.0-alt1
- 1.32.0

* Mon Apr 26 2010 Yuri N. Sedunov <aris@altlinux.org> 1.30.1-alt1
- 1.30.1

* Tue Mar 30 2010 Yuri N. Sedunov <aris@altlinux.org> 1.30.0-alt1
- 1.30.0

* Mon Mar 08 2010 Yuri N. Sedunov <aris@altlinux.org> 1.29.92-alt1
- 1.29.92

* Tue Feb 09 2010 Yuri N. Sedunov <aris@altlinux.org> 1.29.90-alt1
- 1.29.90

* Mon Jan 25 2010 Yuri N. Sedunov <aris@altlinux.org> 1.29.6-alt1
- 1.29.6

* Mon Jan 11 2010 Yuri N. Sedunov <aris@altlinux.org> 1.29.5-alt1
- 1.29.5

* Wed Nov 25 2009 Eugeny A. Rostovtsev (REAL) <real at altlinux.org> 1.28.1-alt1.1
- Rebuilt with python 2.6

* Mon Oct 19 2009 Yuri N. Sedunov <aris@altlinux.org> 1.28.1-alt1
- 1.28.1

* Tue Sep 22 2009 Yuri N. Sedunov <aris@altlinux.org> 1.28.0-alt1
- 1.28.0

* Wed Sep 09 2009 Yuri N. Sedunov <aris@altlinux.org> 1.27.92-alt1
- 1.27.92

* Mon Aug 24 2009 Yuri N. Sedunov <aris@altlinux.org> 1.27.91-alt1
- 1.27.91

* Tue Mar 31 2009 Yuri N. Sedunov <aris@altlinux.org> 1.26.0-alt2
- libxevie support disabled

* Mon Mar 16 2009 Yuri N. Sedunov <aris@altlinux.org> 1.26.0-alt1
- 1.26.0

* Mon Mar 09 2009 Yuri N. Sedunov <aris@altlinux.org> 1.25.92-alt1
- 1.25.92

* Thu Jan 22 2009 Yuri N. Sedunov <aris@altlinux.org> 1.25.5-alt1
- 1.25.5

* Fri Dec 19 2008 Yuri N. Sedunov <aris@altlinux.org> 1.24.1-alt1
- 1.24.1
- removed obsolete %%post{,un}_ldconfig

* Wed Oct 01 2008 Alexey Shabalin <shaba@altlinux.ru> 1.24.0-alt2
- define libexec dir as /usr/libexec
- add schema

* Sat Sep 27 2008 Alexey Shabalin <shaba@altlinux.ru> 1.24.0-alt1
- New version (1.24.0).
- Add %name-devel-doc package(noarch)

* Wed May 21 2008 Alexey Shabalin <shaba@altlinux.ru> 1.22.1-alt2
- fix Requires for python package (%%add_python_req_skip)

* Thu May 15 2008 Alexey Shabalin <shaba@altlinux.ru> 1.22.1-alt1
- New version (1.22.1).
- Add Packager

* Mon Mar 17 2008 Alexey Shabalin <shaba@altlinux.ru> 1.22.0-alt1.1
- build for Sisyphus

* Fri Mar 14 2008 Alexey Shabalin <shaba@altlinux.ru> 1.22.0-alt1
- New version (1.22.0).

* Sat Jan 26 2008 Grigory Batalov <bga@altlinux.ru> 1.20.1-alt2.1
- Rebuilt with python-2.5.

* Fri Dec 28 2007 Alexey Rusakov <ktirf@altlinux.org> 1.20.1-alt2
- Fixed the description of the Python bindings subpackage.

* Fri Dec 28 2007 Alexey Rusakov <ktirf@altlinux.org> 1.22.0-alt1
- New version (1.22.0).
- New subpackage, python-module-pyatspi.
- Rewritten buildreqs.
- More usage of RPM macros.

* Thu Oct 05 2006 Alexey Rusakov <ktirf@altlinux.ru> 1.7.12-alt1
- new version 1.7.12 (with rpmrb script)

* Thu Aug 24 2006 Alexey Rusakov <ktirf@altlinux.ru> 1.7.11-alt1
- new version 1.7.11 (with rpmrb script)

* Thu May 11 2006 Alexey Rusakov <ktirf@altlinux.ru> 1.7.7-alt2
- added explicit dependency on libatk, thanks to abi_drifts robot.

* Mon May 01 2006 Alexey Rusakov <ktirf@altlinux.ru> 1.7.7-alt1
- new version (1.7.7)

* Wed Sep 28 2005 Alexey Rusakov <ktirf@altlinux.ru> 1.6.5-alt1
- 1.6.5

* Mon Jun 13 2005 Yuri N. Sedunov <aris@altlinux.ru> 1.6.4-alt1
- 1.6.4

* Tue Mar 08 2005 Yuri N. Sedunov <aris@altlinux.ru> 1.6.3-alt1
- 1.6.3

* Sat Feb 12 2005 Yuri N. Sedunov <aris@altlinux.ru> 1.6.2-alt1
- 1.6.2

* Tue Sep 14 2004 Yuri N. Sedunov <aris@altlinux.ru> 1.6.0-alt1
- 1.6.0

* Mon Sep 13 2004 Yuri N. Sedunov <aris@altlinux.ru> 1.5.5-alt1
- 1.5.5

* Mon Sep 06 2004 Yuri N. Sedunov <aris@altlinux.ru> 1.5.4-alt1
- 1.5.4

* Mon Apr 19 2004 Yuri N. Sedunov <aris@altlinux.ru> 1.4.2-alt1
- 1.4.2

* Tue Mar 23 2004 Yuri N. Sedunov <aris@altlinux.ru> 1.4.0-alt1
- 1.4.0

* Mon Mar 08 2004 Yuri N. Sedunov <aris@altlinux.ru> 1.3.15-alt1
- 1.3.15

* Tue Mar 02 2004 Yuri N. Sedunov <aris@altlinux.ru> 1.3.14-alt1
- 1.3.14

* Wed Feb 25 2004 Yuri N. Sedunov <aris@altlinux.ru> 1.3.13-alt1
- 1.3.13

* Tue Feb 10 2004 Yuri N. Sedunov <aris@altlinux.ru> 1.3.12-alt1
- 1.3.12

* Thu Jan 15 2004 Yuri N. Sedunov <aris@altlinux.ru> 1.3.11-alt1
- 1.3.11

* Sun Nov 30 2003 Yuri N. Sedunov <aris@altlinux.ru> 1.3.8-alt2
- do not package .la files.
- do not build devel-static subpackage by default.

* Mon Oct 20 2003 Yuri N. Sedunov <aris@altlinux.ru> 1.3.8-alt1
- 1.3.8

* Tue Sep 09 2003 Yuri N. Sedunov <aris@altlinux.ru> 1.3.7-alt1
- 1.3.7
- SMP-incompatible build

* Wed Sep 03 2003 Yuri N. Sedunov <aris@altlinux.ru> 1.3.6-alt1
- 1.3.6

* Sat Mar 29 2003 Yuri N. Sedunov <aris@altlinux.ru> 1.1.9-alt1
- 1.1.9

* Mon Jan 20 2003 Yuri N. Sedunov <aris@altlinux.ru> 1.1.8-alt2
- buildreqs updated.

* Thu Dec 19 2002 Yuri N. Sedunov <aris@altlinux.ru> 1.1.8-alt1
- 1.1.8

* Tue Dec 17 2002 Yuri N. Sedunov <aris@altlinux.ru> 1.1.7-alt1
- 1.1.7

* Sat Dec 07 2002 Yuri N. Sedunov <aris@altlinux.ru> 1.1.6-alt1
- 1.1.6

* Sat Nov 23 2002 Yuri N. Sedunov <aris@altlinux.ru> 1.1.5-alt1
- 1.1.5

* Thu Oct 17 2002 Yuri N. Sedunov <aris@altlinux.ru> 1.1.2-alt1
- 1.1.2

* Sun Oct 06 2002 Yuri N. Sedunov <aris@altlinux.ru> 1.0.2-alt2
- rebuild with new pango, gtk+

* Mon Sep 16 2002 Yuri N. Sedunov <aris@altlinux.ru> 1.0.2-alt1
- 1.0.2
- (inger) update buildreqs

* Wed Jun 12 2002 Yuri N. Sedunov <aris@altlinux.ru> 1.0.1-alt1
- Adopted for Sisyphus.
- 1.0.1

* Fri Jun 07 2002 Havoc Pennington <hp@redhat.com>
- rebuild in different environment

* Tue Jun  4 2002 Havoc Pennington <hp@redhat.com>
- 1.0.0
- add post/postun ldconfig

* Wed May 29 2002 Bill Nottingham <notting@redhat.com>
- rebuild again?

* Tue May 28 2002 Havoc Pennington <hp@redhat.com>
- rebuild in different environment

* Tue May 28 2002 Havoc Pennington <hp@redhat.com>
- 0.12.1

* Wed Jan 30 2002 Owen Taylor <otaylor@redhat.com>
- Version 0.0.6

* Mon Jan 28 2002 Havoc Pennington <hp@redhat.com>
- rebuild in rawhide, seems to have been linked incorrectly

* Thu Jan 24 2002 Havoc Pennington <hp@redhat.com>
- rebuild in rawhide, upgrade to 0.0.5
- add gail deps

* Mon Nov 26 2001 Havoc Pennington <hp@redhat.com>
- Initial build.

